Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class ActivationConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.ActivationConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ActivationConfigType<T>

    public class ActivationConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ActivationConfigType<T>

This class implements the `activation-configType` xsd type

Original Documentation:

The activation-configType defines information about the
expected configuration properties of the message-driven bean
in its operational environment. This may include information
about message acknowledgement, message selector, expected
destination type, etc.
The configuration information is expressed in terms of
name/value configuration properties.
The properties that are recognized for a particular
message-driven bean are determined by the messaging type.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ActivationConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ActivationConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`ActivationConfigPropertyType<ActivationConfigType<T>>` | `activationConfigProperty()` Returns the `activation-config-property` element
`java.util.List<ActivationConfigPropertyType<ActivationConfigType<T>>>` | `getActivationConfigPropertyList()` Returns all `activation-config-property` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`ActivationConfigType<T>` | `removeAllActivationConfigProperty()` Removes all `activation-config-property` elements
`ActivationConfigType<T>` | `removeAllDescription()` Removes the `description` element
`ActivationConfigType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ActivationConfigType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivationConfigTypeImpl

    public ActivationConfigTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### ActivationConfigTypeImpl

    public ActivationConfigTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ActivationConfigType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ActivationConfigType<T>`
  Returns:
    the current instance of `ActivationConfigType`

### setDescriptionList

    public ActivationConfigType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ActivationConfigType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ActivationConfigType`

### removeAllDescription

    public ActivationConfigType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ActivationConfigType<T>`
  Returns:
    the current instance of `ActivationConfigType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ActivationConfigType<T>`
  Returns:
    list of `description`

### removeAllActivationConfigProperty

    public ActivationConfigType<T> removeAllActivationConfigProperty()

  Removes all `activation-config-property` elements

  Specified by:
    `removeAllActivationConfigProperty` in interface `ActivationConfigType<T>`
  Returns:
    the current instance of `ActivationConfigType`

### activationConfigProperty

    public ActivationConfigPropertyType<ActivationConfigType<T>> activationConfigProperty()

  Returns the `activation-config-property` element

  Specified by:
    `activationConfigProperty` in interface `ActivationConfigType<T>`
  Returns:
    the node defined for the element `activation-config-property`

### getActivationConfigPropertyList

    public java.util.List<ActivationConfigPropertyType<ActivationConfigType<T>>> getActivationConfigPropertyList()

  Returns all `activation-config-property` elements

  Specified by:
    `getActivationConfigPropertyList` in interface `ActivationConfigType<T>`
  Returns:
    list of `activation-config-property`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD